import { defineComponent, $prefix, setup as _setup } from "@dftvue2-opentiny/vue-common";
import { renderless, api } from "@dftvue2-opentiny/vue-renderless/wheel/vue";
import { IconYes } from "@dftvue2-opentiny/vue-icon";
import BScroll from "@better-scroll/core";
import Wheel$1 from "@better-scroll/wheel";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

import "@dftvue2-opentiny/vue-theme-mobile/wheel/index.css";
BScroll.use(Wheel$1);
var __vue2_script = defineComponent({
  name: $prefix + "Wheel",
  components: {
    IconYes: IconYes()
  },
  props: {
    dataSource: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    defaultSelectedIndexs: {
      type: Array,
      default: function _default2() {
        return [];
      }
    },
    hasFooter: {
      type: Boolean,
      default: true
    }
  },
  setup: function setup(props, context) {
    return _setup({
      props,
      context,
      renderless,
      api,
      mono: true,
      extendOptions: {
        BScroll
      }
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-mobile-wheel"
  }, [_c("div", {
    staticClass: "tiny-mobile-wheel__container"
  }, [_c("transition", {
    attrs: {
      "name": "picker-move"
    }
  }, [_c("div", {
    staticClass: "tiny-mobile-wheel__picker__panel",
    on: {
      "click": function click($event) {
        $event.stopPropagation();
      }
    }
  }, [_c("div", {
    staticClass: "tiny-mobile-wheel__picker__content"
  }, [_c("div", {
    ref: "wheelWrapper",
    staticClass: "tiny-mobile-wheel__wheel__wrapper"
  }, _vm._l(_vm.state.pickerData, function(data, index) {
    return _c("div", {
      key: index,
      staticClass: "wheel"
    }, [_vm.hasFooter ? _c("ul", {
      staticClass: "wheel__scroll_hasFooter"
    }, _vm._l(data, function(item) {
      return _c("li", {
        key: item.label,
        class: [item.selected ? "wheel__item__selected" : "", "wheel__item"]
      }, [_vm._v(" " + _vm._s(item.label) + " ")]);
    }), 0) : _c("ul", {
      staticClass: "wheel__scroll_noFooter"
    }, _vm._l(data, function(item, index2) {
      return _c("li", {
        key: item.label,
        class: [item.selected ? "wheel__item__selected" : "", "wheel__item"],
        on: {
          "click": function click($event) {
            return _vm.clickWheelItem(index2);
          }
        }
      }, [_vm._v(" " + _vm._s(item.label) + " "), item.selected ? _c("IconYes", {
        staticClass: "size20"
      }) : _vm._e()], 1);
    }), 0)]);
  }), 0)])])])], 1)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var Wheel = /* @__PURE__ */ function() {
  return __component__.exports;
}();
var version = "2.8.0";
Wheel.model = {
  prop: "modelValue",
  event: "update:modelValue"
};
Wheel.install = function(Vue) {
  Vue.component(Wheel.name, Wheel);
};
Wheel.version = version;
export {
  Wheel as default
};
